package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysSciencePlan;

public interface ISysSciencePlanService
{
    public SysSciencePlan selectSysSciencePlanById(Long id);

    public List<SysSciencePlan> selectSysSciencePlanList();

    public int insertSysSciencePlan(SysSciencePlan sciencePlan);

    public int updateSysSciencePlan(SysSciencePlan sciencePlan);

    public int deleteSysSciencePlanById(Long id);

    public int deleteSysSciencePlanByIds(Long[] ids);
}
